// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from axis_msgs:srv/SetInt.idl
// generated code does not contain a copyright notice

// IWYU pragma: private, include "axis_msgs/srv/set_int.h"


#ifndef AXIS_MSGS__SRV__DETAIL__SET_INT__STRUCT_H_
#define AXIS_MSGS__SRV__DETAIL__SET_INT__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>


// Constants defined in the message

/// Struct defined in srv/SetInt in the package axis_msgs.
typedef struct axis_msgs__srv__SetInt_Request
{
  /// the desired value to set
  int32_t data;
} axis_msgs__srv__SetInt_Request;

// Struct for a sequence of axis_msgs__srv__SetInt_Request.
typedef struct axis_msgs__srv__SetInt_Request__Sequence
{
  axis_msgs__srv__SetInt_Request * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} axis_msgs__srv__SetInt_Request__Sequence;

// Constants defined in the message

// Include directives for member types
// Member 'message'
#include "rosidl_runtime_c/string.h"

/// Struct defined in srv/SetInt in the package axis_msgs.
typedef struct axis_msgs__srv__SetInt_Response
{
  /// indicate successful run of triggered service
  bool success;
  /// informational, e.g. for error messages
  rosidl_runtime_c__String message;
} axis_msgs__srv__SetInt_Response;

// Struct for a sequence of axis_msgs__srv__SetInt_Response.
typedef struct axis_msgs__srv__SetInt_Response__Sequence
{
  axis_msgs__srv__SetInt_Response * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} axis_msgs__srv__SetInt_Response__Sequence;

// Constants defined in the message

// Include directives for member types
// Member 'info'
#include "service_msgs/msg/detail/service_event_info__struct.h"

// constants for array fields with an upper bound
// request
enum
{
  axis_msgs__srv__SetInt_Event__request__MAX_SIZE = 1
};
// response
enum
{
  axis_msgs__srv__SetInt_Event__response__MAX_SIZE = 1
};

/// Struct defined in srv/SetInt in the package axis_msgs.
typedef struct axis_msgs__srv__SetInt_Event
{
  service_msgs__msg__ServiceEventInfo info;
  axis_msgs__srv__SetInt_Request__Sequence request;
  axis_msgs__srv__SetInt_Response__Sequence response;
} axis_msgs__srv__SetInt_Event;

// Struct for a sequence of axis_msgs__srv__SetInt_Event.
typedef struct axis_msgs__srv__SetInt_Event__Sequence
{
  axis_msgs__srv__SetInt_Event * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} axis_msgs__srv__SetInt_Event__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // AXIS_MSGS__SRV__DETAIL__SET_INT__STRUCT_H_
